# The MongoDB\BSON\MaxKey class

(mongodb >=1.0.0)

## Introduction

Special BSON type which compares higher than all other possible BSON element values.

> Note: This is an internal MongoDB type used for indexing and sharding.

## Class synopsis

final MongoDB\BSON\MaxKey implements MongoDB\BSON\MaxKeyInterface , MongoDB\BSON\Type , Serializable , JsonSerializable {
/* Methods */
final public __construct ( void )
final public jsonSerialize ( void ) : mixed
final public serialize ( void ) : string
final public unserialize ( string `$serialized` ) : void
}

## Changelog

Version | Description
--- | ---
1.3.0 | Implements MongoDB\BSON\MaxKeyInterface.
1.2.0 | Implements Serializable and JsonSerializable.

## Table of Contents

- MongoDB\BSON\MaxKey::__construct — Construct a new MaxKey
- MongoDB\BSON\MaxKey::jsonSerialize — Returns a representation that can be converted to JSON
- MongoDB\BSON\MaxKey::serialize — Serialize a MaxKey
- MongoDB\BSON\MaxKey::unserialize — Unserialize a MaxKey